Get account info
This endpoint allows users to get all high-level account info such as balance, fee level, equity, etc.
GET /api/v1/accountQuery Parameters
Field
Type
Need
Description
Example
/api/v1/account?account=42trU9A5...Response
{
"success": true,
"data": {
"balance": "2000.000000",
"fee_level": 0,
"maker_fee": "0.00015",
"taker_fee": "0.0004",
"account_equity": "2150.250000",
"available_to_spend": "1800.750000",
"available_to_withdraw": "1500.850000",
"pending_balance": "0.000000",
"pending_interest": "0.000000",
"spot_collateral": "0.000000",
"cross_account_equity": "2100.500000",
"spot_market_value": "250.000000",
"total_margin_used": "349.500000",
"cross_mmr": "420.690000",
"positions_count": 2,
"orders_count": 3,
"stop_orders_count": 1,
"updated_at": 1716200000000,
"spot_balances": [
{
"symbol": "SOL",
"amount": "1.50000000",
"available_to_withdraw": "1.00000000",
"pending_balance": "0.50000000",
"daily_withdraw_amount_usd": "250.000000",
"effective_daily_deposit_limit_usd": "50000.000000",
"effective_daily_withdraw_limit_usd": "250000.000000"
}
]
},
"error": null,
"code": null
}Field
Type
Description
Field
Type
Description
Code Example (Python)
Last updated